Linux jobworks 6.8.0-136-generic #136-Ubuntu SMP PREEMPT_DYNAMIC Wed Jul 1 21:53:05 UTC 2026 x86_64
Apache/2.4.58 (Ubuntu)
Server IP : 10.0.1.5 & Your IP : 216.73.217.52
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
src /
linux-headers-6.8.0-124 /
scripts /
Delete
Unzip
Name
Size
Permission
Date
Action
atomic
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
basic
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
clang-tools
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
coccinelle
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
dtc
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
dummy-tools
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
gcc-plugins
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
gdb
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
genksyms
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
kconfig
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
ksymoops
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
mod
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
package
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
selinux
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
tracing
[ DIR ]
drwxr-xr-x
2026-06-04 06:36
.gitignore
214
B
-rw-r--r--
2024-03-10 20:38
Kbuild.include
10.1
KB
-rw-r--r--
2024-03-10 20:38
Kconfig.include
2.65
KB
-rw-r--r--
2026-05-26 09:55
Lindent
502
B
-rwxr-xr-x
2024-03-10 20:38
Makefile
1.87
KB
-rw-r--r--
2024-03-10 20:38
Makefile.asm-generic
1.82
KB
-rw-r--r--
2024-03-10 20:38
Makefile.btf
638
B
-rw-r--r--
2024-03-10 20:38
Makefile.build
17.24
KB
-rw-r--r--
2026-05-26 09:55
Makefile.clang
1.61
KB
-rw-r--r--
2024-03-10 20:38
Makefile.clean
1.87
KB
-rw-r--r--
2024-03-10 20:38
Makefile.compiler
2.74
KB
-rw-r--r--
2024-03-10 20:38
Makefile.debug
1.12
KB
-rw-r--r--
2024-03-10 20:38
Makefile.defconf
1.04
KB
-rw-r--r--
2026-05-26 09:55
Makefile.dtbinst
1.03
KB
-rw-r--r--
2026-05-26 09:55
Makefile.extrawarn
7.9
KB
-rw-r--r--
2026-05-26 09:55
Makefile.gcc-plugins
2.59
KB
-rw-r--r--
2024-03-10 20:38
Makefile.headersinst
2.88
KB
-rw-r--r--
2024-03-10 20:38
Makefile.host
5.91
KB
-rw-r--r--
2024-03-10 20:38
Makefile.kasan
2.57
KB
-rw-r--r--
2026-05-26 09:55
Makefile.kcov
333
B
-rw-r--r--
2024-03-10 20:38
Makefile.kcsan
1004
B
-rw-r--r--
2024-03-10 20:38
Makefile.kmsan
208
B
-rw-r--r--
2024-03-10 20:38
Makefile.lib
21.12
KB
-rw-r--r--
2026-05-26 09:55
Makefile.modfinal
2.63
KB
-rw-r--r--
2026-05-26 09:55
Makefile.modinst
4.02
KB
-rw-r--r--
2026-05-26 09:55
Makefile.modpost
4.69
KB
-rw-r--r--
2024-03-10 20:38
Makefile.package
8.73
KB
-rw-r--r--
2026-05-26 09:55
Makefile.randstruct
511
B
-rw-r--r--
2024-03-10 20:38
Makefile.ubsan
779
B
-rw-r--r--
2024-03-10 20:38
Makefile.userprogs
1.59
KB
-rw-r--r--
2024-03-10 20:38
Makefile.vdsoinst
1.15
KB
-rw-r--r--
2026-05-26 09:55
Makefile.vmlinux
1.48
KB
-rw-r--r--
2024-03-10 20:38
Makefile.vmlinux_o
3.27
KB
-rw-r--r--
2024-03-10 20:38
as-version.sh
2.03
KB
-rwxr-xr-x
2024-03-10 20:38
asn1_compiler.c
35.32
KB
-rw-r--r--
2024-03-10 20:38
bloat-o-meter
3.77
KB
-rwxr-xr-x
2024-03-10 20:38
bootgraph.pl
5.64
KB
-rwxr-xr-x
2024-03-10 20:38
bpf_doc.py
31.73
KB
-rwxr-xr-x
2026-05-26 09:55
cc-can-link.sh
166
B
-rwxr-xr-x
2024-03-10 20:38
cc-version.sh
1.36
KB
-rwxr-xr-x
2024-03-10 20:38
check-git
298
B
-rwxr-xr-x
2024-03-10 20:38
check-sysctl-docs
3.66
KB
-rwxr-xr-x
2024-03-10 20:38
check-uapi.sh
15.05
KB
-rwxr-xr-x
2024-03-10 20:38
check_extable.sh
4.93
KB
-rwxr-xr-x
2024-03-10 20:38
checkdeclares.pl
1.1
KB
-rwxr-xr-x
2024-03-10 20:38
checkincludes.pl
1.94
KB
-rwxr-xr-x
2024-03-10 20:38
checkkconfigsymbols.py
15.75
KB
-rwxr-xr-x
2024-03-10 20:38
checkpatch.pl
233.78
KB
-rwxr-xr-x
2026-05-26 09:55
checkstack.pl
5.96
KB
-rwxr-xr-x
2024-03-10 20:38
checksyscalls.sh
7.51
KB
-rwxr-xr-x
2024-03-10 20:38
checkversion.pl
2.16
KB
-rwxr-xr-x
2024-03-10 20:38
cleanfile
3.46
KB
-rwxr-xr-x
2024-03-10 20:38
cleanpatch
5.06
KB
-rwxr-xr-x
2024-03-10 20:38
coccicheck
7.9
KB
-rwxr-xr-x
2024-03-10 20:38
config
4.78
KB
-rwxr-xr-x
2026-05-26 09:55
const_structs.checkpatch
1.4
KB
-rw-r--r--
2024-03-10 20:38
decode_stacktrace.sh
7.58
KB
-rwxr-xr-x
2024-03-10 20:38
decodecode
4.86
KB
-rwxr-xr-x
2024-03-10 20:38
depmod.sh
697
B
-rwxr-xr-x
2024-03-10 20:38
dev-needs.sh
6.07
KB
-rwxr-xr-x
2024-03-10 20:38
diffconfig
4.12
KB
-rwxr-xr-x
2024-03-10 20:38
documentation-file-ref-check
5.67
KB
-rwxr-xr-x
2024-03-10 20:38
export_report.pl
4.5
KB
-rwxr-xr-x
2026-05-26 09:55
extract-ikconfig
1.74
KB
-rwxr-xr-x
2024-03-10 20:38
extract-module-sig.pl
3.66
KB
-rwxr-xr-x
2024-03-10 20:38
extract-sys-certs.pl
3.75
KB
-rwxr-xr-x
2024-03-10 20:38
extract-vmlinux
1.66
KB
-rwxr-xr-x
2024-03-10 20:38
extract_xc3028.pl
44.62
KB
-rwxr-xr-x
2024-03-10 20:38
faddr2line
8.63
KB
-rwxr-xr-x
2024-03-10 20:38
file-size.sh
86
B
-rwxr-xr-x
2024-03-10 20:38
find-unused-docs.sh
1.27
KB
-rwxr-xr-x
2024-03-10 20:38
gcc-x86_32-has-stack-protector.sh
405
B
-rwxr-xr-x
2026-05-26 09:55
gcc-x86_64-has-stack-protector.sh
195
B
-rwxr-xr-x
2026-05-26 09:55
gen-randstruct-seed.sh
228
B
-rwxr-xr-x
2024-03-10 20:38
generate_initcall_order.pl
5.95
KB
-rwxr-xr-x
2024-03-10 20:38
generate_rust_analyzer.py
5.54
KB
-rwxr-xr-x
2026-05-26 09:55
generate_rust_target.rs
5.59
KB
-rw-r--r--
2026-05-26 09:55
get_abi.pl
25.36
KB
-rwxr-xr-x
2024-03-10 20:38
get_dvb_firmware
24.54
KB
-rwxr-xr-x
2024-03-10 20:38
get_feat.pl
14.61
KB
-rwxr-xr-x
2024-03-10 20:38
get_maintainer.pl
67.63
KB
-rwxr-xr-x
2024-03-10 20:38
gfp-translate
2.08
KB
-rwxr-xr-x
2026-05-26 09:55
git.orderFile
564
B
-rw-r--r--
2024-03-10 20:38
head-object-list.txt
1.36
KB
-rw-r--r--
2024-03-10 20:38
headerdep.pl
3.5
KB
-rwxr-xr-x
2024-03-10 20:38
headers_install.sh
2.76
KB
-rwxr-xr-x
2024-03-10 20:38
insert-sys-cert.c
13.08
KB
-rw-r--r--
2026-05-26 09:55
install.sh
986
B
-rwxr-xr-x
2024-03-10 20:38
jobserver-exec
2.56
KB
-rwxr-xr-x
2024-03-10 20:38
kallsyms.c
17.75
KB
-rw-r--r--
2026-05-26 09:55
kernel-doc
77.13
KB
-rwxr-xr-x
2026-05-26 09:55
ld-version.sh
1.82
KB
-rwxr-xr-x
2026-05-26 09:55
leaking_addresses.pl
12.84
KB
-rwxr-xr-x
2024-03-10 20:38
link-vmlinux.sh
7.66
KB
-rwxr-xr-x
2026-05-26 09:55
makelst
808
B
-rwxr-xr-x
2024-03-10 20:38
markup_oops.pl
7.92
KB
-rwxr-xr-x
2024-03-10 20:38
min-tool-version.sh
630
B
-rwxr-xr-x
2026-05-26 09:55
misc-check
509
B
-rwxr-xr-x
2024-03-10 20:38
mkcompile_h
642
B
-rwxr-xr-x
2024-03-10 20:38
mksysmap
2.08
KB
-rwxr-xr-x
2026-05-26 09:55
mkuboot.sh
414
B
-rwxr-xr-x
2024-03-10 20:38
module.lds.S
1.43
KB
-rw-r--r--
2026-05-26 09:55
modules-check.sh
443
B
-rwxr-xr-x
2024-03-10 20:38
nsdeps
1.63
KB
-rw-r--r--
2024-03-10 20:38
objdiff
2.83
KB
-rwxr-xr-x
2024-03-10 20:38
objdump-func
848
B
-rwxr-xr-x
2024-03-10 20:38
orc_hash.sh
316
B
-rw-r--r--
2024-03-10 20:38
pahole-version.sh
269
B
-rwxr-xr-x
2024-03-10 20:38
parse-maintainers.pl
4.54
KB
-rwxr-xr-x
2024-03-10 20:38
patch-kernel
9.95
KB
-rwxr-xr-x
2024-03-10 20:38
profile2linkerlist.pl
414
B
-rwxr-xr-x
2024-03-10 20:38
prune-kernel
912
B
-rwxr-xr-x
2024-03-10 20:38
recordmcount.c
17.51
KB
-rw-r--r--
2024-03-10 20:38
recordmcount.h
19.37
KB
-rw-r--r--
2024-03-10 20:38
recordmcount.pl
17.34
KB
-rwxr-xr-x
2024-03-10 20:38
relocs_check.sh
717
B
-rwxr-xr-x
2024-03-10 20:38
remove-stale-files
1.29
KB
-rwxr-xr-x
2024-03-10 20:38
rust_is_available.sh
9.48
KB
-rwxr-xr-x
2026-05-26 09:55
rust_is_available_bindgen_libclang.h
91
B
-rw-r--r--
2024-03-10 20:38
rust_is_available_test.py
17.7
KB
-rwxr-xr-x
2024-03-10 20:38
rustdoc_test_builder.rs
3.25
KB
-rw-r--r--
2024-03-10 20:38
rustdoc_test_gen.rs
9.48
KB
-rw-r--r--
2024-03-10 20:38
setlocalversion
5.18
KB
-rwxr-xr-x
2026-05-26 09:55
show_delta
3.04
KB
-rwxr-xr-x
2024-03-10 20:38
sign-file.c
10.4
KB
-rw-r--r--
2026-05-26 09:55
sorttable.c
7.68
KB
-rw-r--r--
2024-03-10 20:38
sorttable.h
12.99
KB
-rw-r--r--
2026-05-26 09:55
spdxcheck-test.sh
284
B
-rw-r--r--
2024-03-10 20:38
spdxcheck.py
15.23
KB
-rwxr-xr-x
2024-03-10 20:38
spdxexclude
417
B
-rw-r--r--
2024-03-10 20:38
spelling.txt
34.18
KB
-rw-r--r--
2024-03-10 20:38
sphinx-pre-install
25.07
KB
-rwxr-xr-x
2024-03-10 20:38
split-man.pl
604
B
-rwxr-xr-x
2024-03-10 20:38
ssl-common.h
678
B
-rw-r--r--
2026-05-26 09:55
stackdelta
1.84
KB
-rwxr-xr-x
2024-03-10 20:38
stackusage
794
B
-rwxr-xr-x
2024-03-10 20:38
subarch.include
647
B
-rw-r--r--
2024-03-10 20:38
syscallhdr.sh
1.89
KB
-rwxr-xr-x
2024-03-10 20:38
syscallnr.sh
1.45
KB
-rwxr-xr-x
2024-03-10 20:38
syscalltbl.sh
1.82
KB
-rwxr-xr-x
2026-05-26 09:55
tags.sh
10.73
KB
-rwxr-xr-x
2024-03-10 20:38
test_fortify.sh
2.23
KB
-rw-r--r--
2024-03-10 20:38
tools-support-relr.sh
726
B
-rwxr-xr-x
2024-03-10 20:38
unifdef.c
34.8
KB
-rw-r--r--
2024-03-10 20:38
ver_linux
2.59
KB
-rwxr-xr-x
2024-03-10 20:38
xen-hypercalls.sh
386
B
-rwxr-xr-x
2024-03-10 20:38
xz_wrap.sh
516
B
-rwxr-xr-x
2024-03-10 20:38
Save
Rename
#!/bin/bash # SPDX-License-Identifier: GPL-2.0 # Disassemble the Code: line in Linux oopses # usage: decodecode < oops.file # # options: set env. variable AFLAGS=options to pass options to "as"; # e.g., to decode an i386 oops on an x86_64 system, use: # AFLAGS=--32 decodecode < 386.oops # PC=hex - the PC (program counter) the oops points to faultlinenum=1 cleanup() { rm -f $T $T.s $T.o $T.oo $T.aa $T.dis exit 1 } die() { echo "$@" exit 1 } trap cleanup EXIT T=`mktemp` || die "cannot create temp file" code= cont= while read i ; do case "$i" in *Code:*) code=$i cont=yes ;; *) [ -n "$cont" ] && { xdump="$(echo $i | grep '^[[:xdigit:]<>[:space:]]\+$')" if [ -n "$xdump" ]; then code="$code $xdump" else cont= fi } ;; esac done if [ -z "$code" ]; then rm $T exit fi echo $code code=`echo $code | sed -e 's/.*Code: //'` width=`expr index "$code" ' '` width=$((($width-1)/2)) case $width in 1) type=byte ;; 2) type=2byte ;; 4) type=4byte ;; esac if [ -z "$ARCH" ]; then case `uname -m` in aarch64*) ARCH=arm64 ;; arm*) ARCH=arm ;; loongarch*) ARCH=loongarch ;; esac fi # Params: (tmp_file, pc_sub) disas() { t=$1 pc_sub=$2 ${CROSS_COMPILE}as $AFLAGS -o $t.o $t.s > /dev/null 2>&1 if [ "$ARCH" = "arm" ]; then if [ $width -eq 2 ]; then OBJDUMPFLAGS="-M force-thumb" fi ${CROSS_COMPILE}strip $t.o fi if [ "$ARCH" = "arm64" ]; then if [ $width -eq 4 ]; then type=inst fi ${CROSS_COMPILE}strip $t.o fi if [ "$ARCH" = "riscv" ]; then OBJDUMPFLAGS="-M no-aliases --section=.text -D" ${CROSS_COMPILE}strip $t.o fi if [ "$ARCH" = "loongarch" ]; then ${CROSS_COMPILE}strip $t.o fi if [ $pc_sub -ne 0 ]; then if [ $PC ]; then adj_vma=$(( $PC - $pc_sub )) OBJDUMPFLAGS="$OBJDUMPFLAGS --adjust-vma=$adj_vma" fi fi ${CROSS_COMPILE}objdump $OBJDUMPFLAGS -S $t.o | \ grep -v "/tmp\|Disassembly\|\.text\|^$" > $t.dis 2>&1 } # Match the maximum number of opcode bytes from @op_bytes contained within # @opline # # Params: # @op_bytes: The string of bytes from the Code: line # @opline: The disassembled line coming from objdump # # Returns: # The max number of opcode bytes from the beginning of @op_bytes which match # the opcode bytes in the objdump line. get_substr_opcode_bytes_num() { local op_bytes=$1 local opline=$2 local retval=0 substr="" for opc in $op_bytes; do substr+="$opc" opcode="$substr" if [ "$ARCH" = "riscv" ]; then opcode=$(echo $opcode | tr ' ' '\n' | tac | tr -d '\n') fi # return if opcode bytes do not match @opline anymore if ! echo $opline | grep -q "$opcode"; then break fi # add trailing space substr+=" " retval=$((retval+1)) done return $retval } # Return the line number in objdump output to where the IP marker in the Code: # line points to # # Params: # @all_code: code in bytes without the marker # @dis_file: disassembled file # @ip_byte: The byte to which the IP points to get_faultlinenum() { local all_code="$1" local dis_file="$2" # num bytes including IP byte local num_bytes_ip=$(( $3 + 1 * $width )) # Add the two header lines (we're counting from 1). local retval=3 # remove marker all_code=$(echo $all_code | sed -e 's/[<>()]//g') while read line do get_substr_opcode_bytes_num "$all_code" "$line" ate_opcodes=$? if ! (( $ate_opcodes )); then continue fi num_bytes_ip=$((num_bytes_ip - ($ate_opcodes * $width) )) if (( $num_bytes_ip <= 0 )); then break fi # Delete matched opcode bytes from all_code. For that, compute # how many chars those opcodes are represented by and include # trailing space. # # a byte is 2 chars, ate_opcodes is also the number of trailing # spaces del_chars=$(( ($ate_opcodes * $width * 2) + $ate_opcodes )) all_code=$(echo $all_code | sed -e "s!^.\{$del_chars\}!!") let "retval+=1" done < $dis_file return $retval } marker=`expr index "$code" "\<"` if [ $marker -eq 0 ]; then marker=`expr index "$code" "\("` fi touch $T.oo if [ $marker -ne 0 ]; then # How many bytes to subtract from the program counter # in order to get to the beginning virtual address of the # Code: pc_sub=$(( (($marker - 1) / (2 * $width + 1)) * $width )) echo All code >> $T.oo echo ======== >> $T.oo beforemark=`echo "$code"` echo -n " .$type 0x" > $T.s echo $beforemark | sed -e 's/ /,0x/g; s/[<>()]//g' >> $T.s disas $T $pc_sub cat $T.dis >> $T.oo get_faultlinenum "$code" "$T.dis" $pc_sub faultlinenum=$? # and fix code at-and-after marker code=`echo "$code" | cut -c$((${marker} + 1))-` rm -f $T.o $T.s $T.dis fi echo Code starting with the faulting instruction > $T.aa echo =========================================== >> $T.aa code=`echo $code | sed -e 's/\r//;s/ [<(]/ /;s/[>)] / /;s/ /,0x/g; s/[>)]$//'` echo -n " .$type 0x" > $T.s echo $code >> $T.s disas $T 0 cat $T.dis >> $T.aa cat $T.oo | sed -e "${faultlinenum}s/^\([^:]*:\)\(.*\)/\1\*\2\t\t<-- trapping instruction/" echo cat $T.aa cleanup